﻿/*  Francis Nino Seisei 
 *  ©2012 Francis Antonio Bolaños Arias.
 * 
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Seisei.Global;

namespace Seisei
{
    public partial class Welcome : Form
    {
        public Welcome()
        {
            InitializeComponent();
        }

        private void btnNuevo_Click(object sender, EventArgs e)
        {
            Memory.START_SELECTION = (int)Memory.STARTOPT.NewNino;
            this.Close();
        }

        //private void btnAbrir_Click(object sender, EventArgs e)
        //{
        //    Memory.START_SELECTION = (int)Memory.STARTOPT.Open;
        //    this.Close();
        //}

        private void btnDB_Click(object sender, EventArgs e)
        {
            Memory.START_SELECTION = (int)Memory.STARTOPT.Database;
            this.Close();
        }

        private void btnCerrar_Click(object sender, EventArgs e)
        {
            Memory.START_SELECTION = (int)Memory.STARTOPT.Nothing;
            this.Close();
        }

        private void btnNuevoBerta_Click(object sender, EventArgs e)
        {
            Memory.START_SELECTION = (int)Memory.STARTOPT.NewBerta;
            this.Close();
        }

        private void btnNuevoDT_Click(object sender, EventArgs e)
        {
            Memory.START_SELECTION = (int)Memory.STARTOPT.NewDataType;
            this.Close();
        }

        private void Welcome_Load(object sender, EventArgs e)
        {
            cargarLocalizacion();
        }

        private void cargarLocalizacion() 
        {
            lblNuevoNino.Text = Local.LOC080_WEL_NEW_NINO;
            lblNuevoBerta.Text = Local.LOC081_WEL_NEW_BERTA;
            lblNuevoDT.Text = Local.LOC082_WEL_NEW_DT;
            lblNinoDB.Text = Local.LOC083_WEL_NINO_DB;
            lblLicencia.Text = Local.LOC084_WEL_LICENSE;
            btnCerrar.Text = Local.LOC085_CLOSE;
        }
    }
}
