﻿/*  Francis Nino Seisei 
 *  ©2012 Francis Antonio Bolaños Arias.
 * 
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Seisei.Global
{
    public class Memory
    {
        public enum STARTOPT
        {
            NewNino,
            NewBerta,
            NewDataType,
            Open,
            Database,
            Nothing
        }
        public static string Server = "";
        public static string User = "";
        public static string Pass = "";
        public static string Database = "";
        public static string OutputDBMS = "";
        public static string OutputPlatform = "";
        public static string ERROR = "";

        public static string AUTHOR = "Francis Antonio Bolaños Arias";

        public static bool GENERATING_NINO = false;
        public static bool ALL_TABLES = false;
        public static int INPUT_DBMS = 0;
        public static string[] DB_TABLES;
        public static string DB_TABLE_SINGLE;

        public static string NINOTAB = "";
        public static string CODGENTAB = "";
        public static string BERTATAB = "";
        public static string TYPESTAB = "";

        public static int START_SELECTION = 0;

        public static string WORKSPACE = Environment.GetFolderPath(Environment.SpecialFolder.MyDocuments) + "\\Nino Seisei";
    }
}
